## octave-fuzzy-logic-toolkit 0.4.6

=== Makefile ===
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
## Copyright 2017 Julien Bect <jbect@users.sf.net>
## Copyright 2017 Olaf Till <i7tiol@t-online.de>
## Copyright 2019 John Donoghue <john.donoghue@ieee.org>
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

TOPDIR := $(shell pwd)

## Some basic tools (can be overriden using environment variables)
SED ?= sed
TAR ?= tar
GREP ?= grep
CUT ?= cut
TR ?= tr
TEXI2PDF  ?= texi2pdf -q

## Note the use of ':=' (immediate set) and not just '=' (lazy set).
## http://stackoverflow.com/a/448939/1609556
package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
$(TR) '[:upper:]' '[:lower:]')
version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")

## These are the paths that will be created for the releases.
target_dir       := target
release_dir      := $(target_dir)/$(package)-$(version)
release_tarball  := $(target_dir)/$(package)-$(version).tar.gz
html_dir         := $(target_dir)/$(package)-html
html_tarball     := $(target_dir)/$(package)-html.tar.gz
## Using $(realpath ...) avoids problems with symlinks due to bug
## #50994 in Octaves scripts/pkg/private/install.m.  But at least the
## release directory above is needed in the relative form, for 'git
## archive --format=tar --prefix=$(release_dir).
real_target_dir  := $(realpath .)/$(target_dir)
installation_dir := $(real_target_dir)/.installation
package_list     := $(installation_dir)/.octave_packages
install_stamp    := $(installation_dir)/.install_stamp

## These can be set by environment variables which allow to easily
## test with different Octave versions.
ifndef OCTAVE
OCTAVE := octave
endif
OCTAVE := $(OCTAVE) --no-gui --silent --norc
MKOCTFILE ?= mkoctfile

## Command used to set permissions before creating tarballs
FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s

HG           := hg
HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
HG_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))


## Detect which VCS is used
vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
ifeq ($(vcs),hg)
release_dir_dep := .hg/dirstate
endif
ifeq ($(vcs),git)
release_dir_dep := .git/index
endif

TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(HG_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)

## .PHONY indicates targets that are not filenames
## (https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html)
.PHONY: help

## make will display the command before runnning them.  Use @command
## to not display it (makes specially sense for echo).
help:
	@echo "Targets:"
	@echo "   dist    - Create $(release_tarball) for release."
	@echo "   html    - Create $(html_tarball) for release."
	@echo "   release - Create both of the above and show md5sums."
	@echo "   install - Install the package in $(installation_dir), where it is not visible in a normal Octave session."
	@echo "   check   - Execute package tests."
	@echo "   doctest - Test the help texts with the doctest package."
	@echo "   run     - Run Octave with the package installed in $(installation_dir) in the path."
	@echo "   clean   - Remove everything made with this Makefile."


##
## Recipes for release tarballs (package + html)
##

.PHONY: release dist html clean-tarballs clean-unpacked-release

## To make a release, build the distribution and html tarballs.
release: dist html
	md5sum $(release_tarball) $(html_tarball)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "    and note the changeset the release corresponds to"

## dist and html targets are only PHONY/alias targets to the release
## and html tarballs.
dist: $(release_tarball)
html: $(html_tarball)

## An implicit rule with a recipe to build the tarballs correctly.
%.tar.gz: %
	$(TAR) -cf - $(TAR_OPTIONS) -C "$(target_dir)/" "$(notdir $<)" | gzip -9n > "$@"

clean-tarballs:
	@echo "## Cleaning release tarballs (package + html)..."
	-$(RM) $(release_tarball) $(html_tarball)
	@echo

## Create the unpacked package.
##
## Notes:
##    * having ".hg/dirstate" (or ".git/index") as a prerequesite means it is
##      only rebuilt if we are at a different commit.
##    * the variable RM usually defaults to "rm -f"
##    * having this recipe separate from the one that makes the tarball
##      makes it easy to have packages in alternative formats (such as zip)
##    * note that if a commands needs to be run in a specific directory,
##      the command to "cd" needs to be on the same line.  Each line restores
##      the original working directory.
$(release_dir): $(release_dir_dep)
	-$(RM) -r "$@"
ifeq (${vcs},hg)
	hg archive --exclude ".hg*" --type files "$@"
endif
ifeq (${vcs},git)
	git archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
	$(RM) "$@/.gitignore"
endif
## Don't fall back to run the supposed necessary contents of
## 'bootstrap' here. Users are better off if they provide
## 'bootstrap'. Administrators, checking build reproducibility, can
## put in the missing 'bootstrap' file if they feel they know its
## necessary contents.
ifneq (,$(wildcard src/bootstrap))
	cd "$@/src" && ./bootstrap && $(RM) -r "autom4te.cache"
endif
## Uncomment this if your src/Makefile.in has these targets for
## pre-building something for the release (e.g. documentation).
#	cd "$@/src" && ./configure && $(MAKE) prebuild && \
#	  $(MAKE) clean && $(RM) Makefile
##
#	$(MAKE) -C "$@" docs
#	cd "$@" && $(MAKE) tests
	# remove dev stuff
#	cd "$@" && $(RM) -rf "devel"
	${FIX_PERMISSIONS} "$@"

run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
                         --eval ' pkg ("load", "$(package)"); '

# html_options = --eval 'options = get_html_options ("octave-forge");'
## Uncomment this for package documentation.
html_options = --eval 'options = get_html_options ("octave-forge");' \
               --eval 'options.package_doc = "$(package).texi";'
$(html_dir): $(install_stamp)
	$(RM) -r "$@";
	$(run_in_place)                    \
        --eval ' pkg load generate_html; ' \
	$(html_options)                    \
        --eval ' generate_package_html ("$(package)", "$@", options); ';
	$(FIX_PERMISSIONS) "$@";

clean-unpacked-release:
	@echo "## Cleaning unpacked release tarballs (package + html)..."
	-$(RM) -r $(release_dir) $(html_dir)
	@echo

##
## Recipes for installing the package.
##

.PHONY: install clean-install

octave_install_commands = \
' llist_path = pkg ("local_list"); \
  mkdir ("$(installation_dir)"); \
  load (llist_path); \
  local_packages(cellfun (@ (x) strcmp ("$(package)", x.name), local_packages)) = []; \
  save ("$(package_list)", "local_packages"); \
  pkg ("local_list", "$(package_list)"); \
  pkg ("prefix", "$(installation_dir)", "$(installation_dir)"); \
  pkg ("install", "-local", "-verbose", "$(release_tarball)"); '

## Install unconditionally. Maybe useful for testing installation with
## different versions of Octave.
install: $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

## Install only if installation (under target/...) is not current.
$(install_stamp): $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

clean-install:
	@echo "## Cleaning installation under $(installation_dir) ..."
	-$(RM) -r $(installation_dir)
	@echo


##
## Recipes for testing purposes
##

.PHONY: run doctest check

## Start an Octave session with the package directories on the path for
## interactice test of development sources.
run: $(install_stamp)
	$(run_in_place) --persist

## Test example blocks in the documentation.  Needs doctest package
##  https://octave.sourceforge.io/doctest/index.html
doctest: $(install_stamp)
	$(run_in_place) --eval 'pkg load doctest;'                                                          \
	  --eval "targets = '$(shell (ls inst; ls src | $(GREP) .oct) | $(CUT) -f2 -d@ | $(CUT) -f1 -d.)';" \
	  --eval "targets = strsplit (targets, ' ');  doctest (targets);"


## Test package.
octave_test_commands = \
' pkgs = pkg("list", "$(package)"); \
  dirs = {pkgs{1}.dir}; \
  __run_test_suite__ (dirs, {}); '
## the following works, too, but provides no overall summary output as
## __run_test_suite__ does:
##
##    else cellfun (@runtests, horzcat (cellfun (@ (dir) ostrsplit (([~, dirs] = system (sprintf ("find %s -type d", dir))), "\n\r", true), dirs, "UniformOutput", false){:})); endif '
check: $(install_stamp)
	$(run_in_place) --eval $(octave_test_commands)


##
## CLEAN
##

.PHONY: clean

clean: clean-tarballs clean-unpacked-release clean-install
	test -e inst/test && rmdir inst/test || true
	test -e $(target_dir)/fntests.log && rm -f $(target_dir)/fntests.log || true
	@echo "## Removing target directory (if empty)..."
	test -e $(target_dir) && rmdir $(target_dir) || true
	@echo
	@echo "## Cleaning done"
	@echo

.PHONY: tests
	
CC_TST_SOURCES := $(shell $(GREP) --files-with-matches '^%!' src/*.cc)
TST_SOURCES := $(patsubst src/%.cc,inst/test/%.cc-tst,$(CC_TST_SOURCES))

inst/test:
	@mkdir -p "$@"

$(TST_SOURCES): inst/test/%.cc-tst: src/%.cc | inst/test
	@echo "Extracting tests from $< ..."
	@$(RM) -f "$@" "$@-t"
	@(      echo "## Generated from $<"; \
		$(GREP) '^%!' "$<") > "$@"

tests: $(TST_SOURCES)

## octave-fuzzy-logic-toolkit 0.4.5

=== debian/changelog ===
octave-fuzzy-logic-toolkit (0.4.5-4) unstable; urgency=medium

  * d/octave-fuzzy-logic-toolkit.lintian-overrides: New file.
    Add override for Lintian false positive warning
    debian-changelog-file-is-a-symlink.
  * d/control: Build-depend on dh-octave >= 1.0.2.
    This ensures that the upstream ChangeLog.gz file has maximum
    compression level.
  * d/watch: Upgrade to version 4

 -- Rafael Laboissière <rafael@debian.org>  Wed, 11 Nov 2020 06:28:58 -0300

octave-fuzzy-logic-toolkit (0.4.5-3) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibitlity level to 13
  * d/u/metadata:
    + Add Bug-{Database,Submit} and Repository-Browse fields
    + Drop Name and Contact fields

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Jul 2020 05:50:31 -0300

octave-fuzzy-logic-toolkit (0.4.5-2) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:55:34 -0200

octave-fuzzy-logic-toolkit (0.4.5-1) unstable; urgency=low

  * Initial release (closes: #898476)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 30 Jun 2018 09:56:59 -0300

=== debian/control ===

Source: octave-fuzzy-logic-toolkit
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-octave (>= 1.0.2)
Standards-Version: 4.5.0
Homepage: https://octave.sourceforge.io/fuzzy-logic-toolkit/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-fuzzy-logic-toolkit.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-fuzzy-logic-toolkit
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-fuzzy-logic-toolkit
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}
Description: fuzzy logic toolkit for Octave
 The Octave Fuzzy Logic Toolkit is a toolkit for Octave, a scientific
 computation software, that provides a large MATLAB compatible subset
 of the functionality of the MATLAB Fuzzy Logic Toolbox as well as
 many extensions. The toolkit includes functions that enable the user
 to build, modify, and evaluate Fuzzy Inference Systems (FISs) from
 the command line and from Octave scripts, read/write FISs to/from
 files, and produce graphical output of both the membership functions
 and the FIS outputs.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=4
http://sf.net/octave/fuzzy-logic-toolkit-(.+)\.tar\.gz

## octave-fuzzy-logic-toolkit 0.4.6

=== debian/changelog ===
octave-fuzzy-logic-toolkit (0.4.6-4) unstable; urgency=medium

  * d/copyright:
    + Accentuate my family name
    + Update Copyright years for debian/* files
  * Remove duplicate values for fields Reference in debian/upstream/metadata.
  * Set upstream metadata fields: Archive.
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector
  * d/octave-fuzzy-logic-toolkit.lintian-overrides: Adjust override
    for new version of Lintian

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 06:02:51 -0300

octave-fuzzy-logic-toolkit (0.4.6-3) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Sun, 15 Aug 2021 10:08:44 -0300

octave-fuzzy-logic-toolkit (0.4.6-2) experimental; urgency=medium

  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Sat, 20 Feb 2021 02:28:05 -0300

octave-fuzzy-logic-toolkit (0.4.6-1) experimental; urgency=medium

  * New upstream version 0.4.6
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 20 Feb 2021 01:34:10 -0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
-
 Source: octave-fuzzy-logic-toolkit
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 1.0.2)
-Standards-Version: 4.5.0
+               dh-sequence-octave
+Standards-Version: 4.6.1
 Homepage: https://octave.sourceforge.io/fuzzy-logic-toolkit/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-fuzzy-logic-toolkit.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-fuzzy-logic-toolkit

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/fuzzy-logic-toolkit/ \
  https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/fuzzy-logic-toolkit-(.+).tar.gz

## octave-fuzzy-logic-toolkit 0.6.0

=== DESCRIPTION ===
Name: fuzzy-logic-toolkit
Version: 0.6.0
Date: 2024-06-05
Author: L. Markowsky <lmarkowsky@gmail.com>
Maintainer: L. Markowsky <lmarkowsky@gmail.com>
Title: Octave Fuzzy Logic Toolkit
Description: A mostly MATLAB-compatible fuzzy logic toolkit for Octave.
Depends: octave (>= 3.2.4)
Autoload: no
License: GPLv3+
Url: https://github.com/lmarkowsky/fuzzy-logic-toolkit/releases/tag/0.6.0

=== debian/changelog ===
octave-fuzzy-logic-toolkit (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0

 -- Rafael Laboissière <rafael@debian.org>  Sun, 09 Jun 2024 04:13:32 -0300

octave-fuzzy-logic-toolkit (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * d/copyright:
    + Reflect upstream changes
    + Update Source URL
  * d/u/metadata:
    + Add upstream repository URL
    + Update Bug-Database URL
    + Update repository URLs
  * d/control:
    + Update Homepage URL
    + Bump Standards-Version to 4.7.0 (no changes needed)
  * d/watch: Update URL for upstream tarball
  * d/s/lintian-overrides: Drop unused Lintian override

 -- Rafael Laboissière <rafael@debian.org>  Sat, 25 May 2024 02:33:56 -0300

## octave-fuzzy-logic-toolkit 0.6.1

=== DESCRIPTION ===
Name: fuzzy-logic-toolkit
Version: 0.6.1
Date: 2024-08-31
Author: L. Markowsky <lmarkowsky@gmail.com>
Maintainer: L. Markowsky <lmarkowsky@gmail.com>
Title: Octave Fuzzy Logic Toolkit
Description: A mostly MATLAB-compatible fuzzy logic toolkit for Octave.
Depends: octave (>= 3.2.4)
Autoload: no
License: GPLv3+
Url: https://github.com/lmarkowsky/fuzzy-logic-toolkit/releases/tag/0.6.1

=== debian/changelog ===
octave-fuzzy-logic-toolkit (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1

 -- Rafael Laboissière <rafael@debian.org>  Fri, 20 Sep 2024 13:22:02 -0300

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-octave
-Standards-Version: 4.6.1
-Homepage: https://octave.sourceforge.io/fuzzy-logic-toolkit/
+Standards-Version: 4.7.0
+Homepage: https://gnu-octave.github.io/packages/fuzzy-logic-toolkit/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-fuzzy-logic-toolkit.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-fuzzy-logic-toolkit
 Testsuite: autopkgtest-pkg-octave

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/fuzzy-logic-toolkit/ \
  https://github.com/lmarkowsky/fuzzy-logic-toolkit/archive/refs/tags/(.+).tar.gz

## octave-fuzzy-logic-toolkit 0.6.2

=== DESCRIPTION ===
Name: fuzzy-logic-toolkit
Version: 0.6.2
Date: 2025-05-15
Author: L. Markowsky <lmarkowsky@gmail.com>
Maintainer: L. Markowsky <lmarkowsky@gmail.com>
Title: Octave Fuzzy Logic Toolkit
Description: A mostly MATLAB-compatible fuzzy logic toolkit for Octave.
Depends: octave (>= 3.2.4)
Autoload: no
License: GPLv3+
Url: https://github.com/lmarkowsky/fuzzy-logic-toolkit/releases/tag/0.6.2

=== debian/changelog ===
octave-fuzzy-logic-toolkit (0.6.2-3) unstable; urgency=medium

  * d/control: Drop “Rules-Requires-Root: no”, which is now the default
  * d/watch: Convert to format version 5

 -- Rafael Laboissière <rafael@debian.org>  Mon, 13 Oct 2025 10:34:01 -0300

octave-fuzzy-logic-toolkit (0.6.2-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 21 Aug 2025 17:23:02 +0200

octave-fuzzy-logic-toolkit (0.6.2-1) experimental; urgency=medium

  [ Rafael Laboissière ]
  * New upstream version 0.6.2
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 21 Aug 2025 17:22:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,11 @@
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-octave
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gnu-octave.github.io/packages/fuzzy-logic-toolkit/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-fuzzy-logic-toolkit.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-fuzzy-logic-toolkit
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-fuzzy-logic-toolkit
 Architecture: all

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/fuzzy-logic-toolkit/
Matching-Pattern: https://github.com/lmarkowsky/fuzzy-logic-toolkit/archive/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@
